Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class OneToMany

    java.lang.Object
      org.hibernate.mapping.OneToMany

All Implemented Interfaces:
  Serializable, Value

    public class OneToMany

extends Object
implements Value

A mapping for a one-to-many association

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`OneToMany(PersistentClass owner)`

Method Summary
`Object` | `accept(ValueVisitor visitor)`
`void` | `createForeignKey()`
`PersistentClass` | `getAssociatedClass()`
`boolean[]` | `getColumnInsertability()`
`Iterator` | `getColumnIterator()`
`int` | `getColumnSpan()`
`boolean[]` | `getColumnUpdateability()`
`FetchMode` | `getFetchMode()`
`String` | `getReferencedEntityName()`
`Table` | `getTable()` Table of the owner entity (the "one" side)
`Type` | `getType()`
`boolean` | `hasFormula()`
`boolean` | `isAlternateUniqueKey()`
`boolean` | `isEmbedded()`
`boolean` | `isIgnoreNotFound()`
`boolean` | `isNullable()`
`boolean` | `isSimpleValue()`
`boolean` | `isValid(Mapping mapping)`
`void` | `setAssociatedClass(PersistentClass associatedClass)` Associated entity on the many side
`void` | `setEmbedded(boolean embedded)`
`void` | `setIgnoreNotFound(boolean ignoreNotFound)`
`void` | `setReferencedEntityName(String referencedEntityName)` Associated entity on the "many" side
`void` | `setTypeUsingReflection(String className, String propertyName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OneToMany

    public OneToMany(PersistentClass owner)
              throws MappingException

Throws:
  `MappingException`

Method Detail

### getAssociatedClass

    public PersistentClass getAssociatedClass()

### setAssociatedClass

    public void setAssociatedClass(PersistentClass associatedClass)

  Associated entity on the many side

### createForeignKey

    public void createForeignKey()

  Specified by:
    `createForeignKey` in interface `Value`

### getColumnIterator

    public Iterator getColumnIterator()

  Specified by:
    `getColumnIterator` in interface `Value`

### getColumnSpan

    public int getColumnSpan()

  Specified by:
    `getColumnSpan` in interface `Value`

### getFetchMode

    public FetchMode getFetchMode()

  Specified by:
    `getFetchMode` in interface `Value`

### getTable

    public Table getTable()

  Table of the owner entity (the "one" side)

  Specified by:
    `getTable` in interface `Value`

### getType

    public Type getType()

  Specified by:
    `getType` in interface `Value`

### isNullable

    public boolean isNullable()

  Specified by:
    `isNullable` in interface `Value`

### isSimpleValue

    public boolean isSimpleValue()

  Specified by:
    `isSimpleValue` in interface `Value`

### isAlternateUniqueKey

    public boolean isAlternateUniqueKey()

  Specified by:
    `isAlternateUniqueKey` in interface `Value`

### hasFormula

    public boolean hasFormula()

  Specified by:
    `hasFormula` in interface `Value`

### isValid

    public boolean isValid(Mapping mapping)
                    throws MappingException

  Specified by:
    `isValid` in interface `Value`
  Throws:
    `MappingException`

### getReferencedEntityName

    public String getReferencedEntityName()

### setReferencedEntityName

    public void setReferencedEntityName(String referencedEntityName)

  Associated entity on the "many" side

### setTypeUsingReflection

    public void setTypeUsingReflection(String className,
                                       String propertyName)

  Specified by:
    `setTypeUsingReflection` in interface `Value`

### accept

    public Object accept(ValueVisitor visitor)

  Specified by:
    `accept` in interface `Value`

### getColumnInsertability

    public boolean[] getColumnInsertability()

  Specified by:
    `getColumnInsertability` in interface `Value`

### getColumnUpdateability

    public boolean[] getColumnUpdateability()

  Specified by:
    `getColumnUpdateability` in interface `Value`

### isEmbedded

    public boolean isEmbedded()

### setEmbedded

    public void setEmbedded(boolean embedded)

### isIgnoreNotFound

    public boolean isIgnoreNotFound()

### setIgnoreNotFound

    public void setIgnoreNotFound(boolean ignoreNotFound)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD